#ifndef _KGR_PATCH_BSC1027575_H
#define _KGR_PATCH_BSC1027575_H

#include <linux/kconfig.h>

#if IS_ENABLED(CONFIG_N_HDLC)

struct n_hdlc;
struct tty_struct;

int kgr_patch_bsc1027575_init(void);
void kgr_patch_bsc1027575_cleanup(void);

void kgr_n_hdlc_send_frames(struct n_hdlc *n_hdlc, struct tty_struct *tty);

#define KGR_PATCH_BSC1027575_FUNCS \
	KGR_PATCH_OBJ(n_hdlc_send_frames, kgr_n_hdlc_send_frames, "n_hdlc"),

#else /* CONFIG_N_HDLC */

static inline int kgr_patch_bsc1027575_init(void) { return 0; }
static inline void kgr_patch_bsc1027575_cleanup(void) {}

#define KGR_PATCH_BSC1027575_FUNCS

#endif /* CONFIG_N_HDLC */

#endif

